<script>
	export default {
		// 此处globalData为了演示其作用，不是uView框架的一部分
		globalData: {
			username: '竹青'
		},
		async onLaunch() {
			this.$u.http.setConfig({
				baseUrl: 'https://api.youzixy.com',
				// 如果将此值设置为true，拦截回调中将会返回服务端返回的所有数据response，而不是response.data
				// 设置为true后，就需要在this.$u.http.interceptor.response进行多一次的判断，请打印查看具体值
				// originalData: true, 
			});
			// 请求拦截，配置Token等参数
			this.$u.http.interceptor.request = (config) => {
				config.header.Token = 'xxxxxx';
				return config; 
			}
			// 响应拦截，判断状态码是否通过
			this.$u.http.interceptor.response = (res) => {
				// 如果把originalData设置为了true，这里得到将会是服务器返回的所有的原始数据
				// 判断可能变成了res.statueCode，或者res.data.code之类的，请打印查看结果
				if(res.code == 200) {
					// 如果把originalData设置为了true，这里return回什么，this.$u.post的then回调中就会得到什么
					return res.data;  
				} else return false;
			}
		},
	}
</script>

<style>
	/*每个页面公共css */
	/* H5的时候，隐藏滚动条 */
	/* #ifdef H5 */
		::-webkit-scrollbar {
		    display: none;  
		    width: 0 !important;  
		    height: 0 !important;  
		    -webkit-appearance: none;  
		    background: transparent;  
		}
	/* #endif */
	
</style>
